---
lang: en
title: 'API docs: context.invocationcontext.invoketargetmethod'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/context
permalink: /doc/en/lb4/apidocs.context.invocationcontext.invoketargetmethod.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context](./context.md) &gt; [InvocationContext](./context.invocationcontext.md) &gt; [invokeTargetMethod](./context.invocationcontext.invoketargetmethod.md)

## InvocationContext.invokeTargetMethod() method

Invoke the target method with the given context

**Signature:**

```typescript
invokeTargetMethod(options?: InvocationOptions): any;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

options


</td><td>

[InvocationOptions](./context.invocationoptions.md)


</td><td>

_(Optional)_ Options for the invocation


</td></tr>
</tbody></table>
**Returns:**

any


